Subject: Re: [1/1] : powerpc: block interrupts when updating TIDR

From: Michael Ellerman <[email-masked]>
Date: Mon, 29 Jan 2018 15:13:47 +1100 (AEDT)

On Fri, 2017-12-01 at 21:31:40 UTC, Sukadev Bhattiprolu wrote:
> From: Sukadev Bhattiprolu <[email-masked]>
> Date: Tue, 28 Nov 2017 13:39:43 -0600
> Subject: [PATCH 1/1]: powerpc: block interrupts when updating TIDR
> 
> clear_thread_tidr() is called in interrupt context as a part of delayed
> put of the task structure (i.e as a part of timer interrupt). To prevent
> a deadlock, block interrupts when holding vas_thread_id_lock to set/
> clear TIDR for a task.
> 
> Signed-off-by: Sukadev Bhattiprolu <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/384dfd627f1ee67d028e6f14c6e9bf

cheers